DOKU Malaysia API Reference
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
  1. Cards Payment
  • Introduction
  • Getting Started
    • Create Account
    • Authentication & API Keys
    • Make your first API call
  • Checkout
    • Overview
    • Create Checkout
      POST
    • Retrieve Checkout Status
      GET
  • Payment
    • Overview
    • Create Payment
    • Get Bank List - FPX
    • Retrieve Payment Status
  • Cards Payment
    • Overview
    • Payment Form
      • Request Payment
    • Host-to-Host Payment
      • Check Three D Secure
      • Charge Payment
      • Capture Authorized Payment
    • Request Refund
      POST
    • Unbind Token
      POST
    • Check Status
      GET
  • Notification
    • Overview
    • Setup Notification URL
    • Retry Notification
    • Sample Notification - Global
    • Sample Notification - Cards
  • Technical Reference
    • Authentication & Integrity
    • Idempotency
    • Data Type
    • Order & Transaction Status
    • Postman Collection
    • Response Code
      • Error Code
    • API Version
      • Create Checkout
      • Create Payment
      • Get Bank List - FPX
      • Retrieve Checkout
      • Retrieve Payment
    • Signature
      • Signature - Global
        • Signature
      • Signature - Cards Payment API
        • Signature Component from Request Header
        • Signature Component from Response Header
        • Signature from API Get Method
        • Sample Code
  1. Cards Payment

Check Status

GET
/orders/v1/status/order.invoice_number
Environment
Sandbox - https://api-sandbox.doku.com
Production - https://api.doku.com
Hit Check Status after 60 seconds after payment completion!
Please ensure your application is already hit after 60 seconds after payment completion.
Input your order.invoice_number or Request-Id as an identifier
To get the status of your refund, please use refund.request_id as an identifier

Request

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Examples
{
    "order": {
        "invoice_number": "INV-AD1755247176",
        "amount": 2,
        "currency": "MYR"
    },
    "transaction": {
        "status": "PENDING",
        "type": "SALE",
        "date": "2025-08-15T08:41:05Z",
        "original_request_id": "6602783a-ae56-442c-ac33-fa1c24964bde"
    },
    "service": {
        "id": "CREDIT_CARD"
    },
    "acquirer": {
        "id": "OCBC",
        "name": "OCBC BANK (MALAYSIA) BERHAD"
    },
    "channel": {
        "id": "CREDIT_CARD"
    },
    "card_payment": {
        "card_masked": "444000******0010",
        "request_id": "6602783a-ae56-442c-ac33-fa1c24964bde",
        "card_type": "VISA",
        "issuer": "OCBC BANK (MALAYSIA) BERHAD",
        "transaction_status": "REDIRECT",
        "brand": "VISA",
        "date": "2025-08-15T08:41:05Z"
    }
}
Modified at 2026-02-09 08:30:44
Previous
Unbind Token
Next
Overview
Built with